From 695ee251e75eb21e087a2b0044daec580c1ebb0d Mon Sep 17 00:00:00 2001
From: Niklas Haas <git@haasn.dev>
Date: Wed, 13 Aug 2025 11:26:13 +0200
Subject: [PATCH 02/37] avfilter/formats: fix param name on
 ff_set_common_color_spaces*

Purely cosmetic.
---
 libavfilter/formats.c | 8 ++++----
 libavfilter/formats.h | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/libavfilter/formats.c b/libavfilter/formats.c
index 9bd9690df2..652ec99c02 100644
--- a/libavfilter/formats.c
+++ b/libavfilter/formats.c
@@ -832,9 +832,9 @@ int ff_set_common_color_spaces(AVFilterContext *ctx,
 }
 
 int ff_set_common_color_spaces_from_list(AVFilterContext *ctx,
-                                         const int *color_ranges)
+                                         const int *color_spaces)
 {
-    return ff_set_common_color_spaces(ctx, ff_make_format_list(color_ranges));
+    return ff_set_common_color_spaces(ctx, ff_make_format_list(color_spaces));
 }
 
 int ff_set_common_all_color_spaces(AVFilterContext *ctx)
@@ -969,9 +969,9 @@ int ff_set_common_color_spaces2(const AVFilterContext *ctx,
 int ff_set_common_color_spaces_from_list2(const AVFilterContext *ctx,
                                           AVFilterFormatsConfig **cfg_in,
                                           AVFilterFormatsConfig **cfg_out,
-                                          const int *color_ranges)
+                                          const int *color_spaces)
 {
-    return ff_set_common_color_spaces2(ctx, cfg_in, cfg_out, ff_make_format_list(color_ranges));
+    return ff_set_common_color_spaces2(ctx, cfg_in, cfg_out, ff_make_format_list(color_spaces));
 }
 
 int ff_set_common_all_color_spaces2(const AVFilterContext *ctx,
diff --git a/libavfilter/formats.h b/libavfilter/formats.h
index 380e9dfd00..c45e195e54 100644
--- a/libavfilter/formats.h
+++ b/libavfilter/formats.h
@@ -273,7 +273,7 @@ av_warn_unused_result
 int ff_set_common_color_spaces_from_list2(const AVFilterContext *ctx,
                                           AVFilterFormatsConfig **cfg_in,
                                           AVFilterFormatsConfig **cfg_out,
-                                          const int *color_ranges);
+                                          const int *color_spaces);
 
 av_warn_unused_result
 int ff_set_common_all_color_spaces2(const AVFilterContext *ctx,
-- 
2.49.1


